Bug 602531 - coverity: op_shared_delete: compare preop entry and GLUE_PARENT_ENTRY before freeing them
Summary: coverity: op_shared_delete: compare preop entry and GLUE_PARENT_ENTRY before ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server   
(Show other bugs)
Version: 1.2.6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Chandrasekar Kannan
URL: http://10.16.47.145:8080/sourcebrowse...
Whiteboard:
Keywords:
Depends On:
Blocks: 389_1.2.7 639035
TreeView+ depends on / blocked
 
Reported: 2010-06-10 04:05 UTC by Noriko Hosoi
Modified: 2015-01-04 23:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-17 14:08:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
0011-Bug-602531-coverity-op_shared_delete-compare-pr.patch (1.81 KB, patch)
2010-06-30 21:50 UTC, Rich Megginson
nhosoi: review+
Details | Diff

Description Noriko Hosoi 2010-06-10 04:05:47 UTC
Description of problem:
12275 USE_AFTER_FREE Triaged Bug Minor Fix Required op_shared_delete()
file: ds/ldap/servers/slapd/delete.c

Status:  	New  	→  	Triaged
Classification: 	Unclassified 	→ 	Bug
Action: 	Undecided 	→ 	Fix Required
Severity: 	Unspecified 	→ 	Minor

Comment:
SLAPI_DELETE_GLUE_PARENT_ENTRY will always be a different entry - but it wouldn't hurt to explicitly check for pre_op != glue_parent

Comment 2 Rich Megginson 2010-06-30 21:50:37 UTC
Created attachment 428122 [details]
0011-Bug-602531-coverity-op_shared_delete-compare-pr.patch

Comment 3 Rich Megginson 2010-07-06 16:32:29 UTC
To ssh://git.fedorahosted.org/git/389/ds.git
   e4ca30c..830d55e  master -> master
commit 830d55e8cc9d4a69f099b1c0ee00a93817c8fabb
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Jun 30 14:51:18 2010 -0600
commit a9a5a5d9fe0801988f51a77b4b11029349f67c10
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Jun 30 14:40:34 2010 -0600
commit 8401a419da225ade87aa6f36f4b35bafce629c8a
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Jun 30 14:35:16 2010 -0600
commit 138daaa4b171b770e0372c19fb5f656309eea4b1
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Jun 30 14:18:36 2010 -0600
commit d76bdddeb292b1d71e5d7b1dcdcd985d39025a15
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Jun 30 14:15:37 2010 -0600
commit c1a89263495c933673f8b977f6c202f34e65b293
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Jun 30 14:08:55 2010 -0600
commit fc16d51c7349b07a405085fd80548a6d0aaf31e8
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Jun 30 13:28:39 2010 -0600
commit 6098df0ea1aec1c25334b4229fe196ca02c0fc26
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Jun 30 11:37:34 2010 -0600
commit 858f45f80fa73367bc5cf18b3dd29e3129fbe70c
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Jun 30 11:23:33 2010 -0600
commit 4739bf587db66c9d8ceabd446dabbe03bc3a0664
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Jun 30 10:52:05 2010 -0600
commit fabd35294d0159ca840b019b6108df2eb759fea3
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Jun 30 10:46:52 2010 -0600
commit 99fa0c1363c32a2e3352c07be4b5aae751018d23
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Jun 30 10:43:20 2010 -0600


Note You need to log in before you can comment on or make changes to this bug.